%% Clear all variables, close plots, clear command screen
clear all; close all; clc

%% Parameter initial guesses
p = [0.005 1];

%% Load data
[td,ud,yd] = my_data;

%% Integrate model equation
[t,y] = ode45(@(t,y) my_model(t,y,td,ud,p),td,yd(1));

%% Plot the results
figure(1)

subplot(2,1,1)
plot(t,y,'ro-')
hold on
plot(td,yd,'bx-')
ylabel('Output')
legend('Model Output','Measured Output')

subplot(2,1,2)
plot(td,ud,'k-.')
ylabel('Input')
legend('Input')

xlabel('Time')
title('Simulation Results')
