%% Clear everything
clear all; close all; clc

%% Optimize parameters
% Parameter guess values
p0 = [0.001 1];

% Find optimal values of p
p = fminsearch(@my_objective,p0);

% Report best solution
disp(['Parameter values:' num2str(p)])

%% Load Data
[td,ud,yd] = my_data;

%% Simulate best solution with MATLAB
[t,y] = ode45(@(t,y) my_model(t,y,td,ud,p),td,yd(1));

%% Plot the results
figure(1)

subplot(2,1,1)
plot(t,y,'ro-')
hold on
plot(td,yd,'bx-')
ylabel('Output')
legend('Model Output','Measured Output')

subplot(2,1,2)
plot(td,ud,'k-.')
ylabel('Input')
legend('Input')

xlabel('Time')
title('Optimization Results')
